Package uk.ac.starlink.vo

# Class ValueConverter.DMSDegreesValueConverter

java.lang.Object
uk.ac.starlink.vo.ValueConverter
uk.ac.starlink.vo.ValueConverter.DMSDegreesValueConverter

Enclosing class:
  `ValueConverter`

public static class ValueConverter.DMSDegreesValueConverter extends ValueConverter
Converter for degrees:minutes:seconds format.

## Nested Class Summary

## Nested classes/interfaces inherited from class uk.ac.starlink.vo.ValueConverter

`ValueConverter.DMSDegreesValueConverter, ValueConverter.HMSDegreesValueConverter, ValueConverter.UnitValueConverter`

## Constructor Summary

Constructors
Constructor
Description
`DMSDegreesValueConverter()`

## Method Summary

Modifier and Type
Method
Description
`double`
`convertValue(String sval)`
Converts a string value to a numeric for this format
`String`
`unconvertValue(double dval)`
Converts a numeric value to a string value for this format.

### Methods inherited from class uk.ac.starlink.vo.ValueConverter

`getName, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DMSDegreesValueConverter

public DMSDegreesValueConverter()

## Method Details

### convertValue

public double convertValue(String sval)
Description copied from class: `ValueConverter`
Converts a string value to a numeric for this format

Specified by:
  `convertValue` in class `ValueConverter`
Parameters:
  `sval` - string value
Returns:
  numeric equivalent of `sval`

### unconvertValue

public String unconvertValue(double dval)
Description copied from class: `ValueConverter`
Converts a numeric value to a string value for this format.

Specified by:
  `unconvertValue` in class `ValueConverter`
Parameters:
  `dval` - numeric value
Returns:
  string representation of `dval`